### Please describe the problem.

As documented in [[git-annex-matching-options]], `--copies` accepts `trustlevel` or `groupname` in the following format:

* `--copies=trustlevel:number`
* `--copies=groupname:number`

This is ambiguous in the unlikely case where a user might come up with the idea to create a group called `trusted`, `semitrusted` or `untrusted` (`remote.<name>.annex-trustlevel`). It should thereby not be allowed to use such special groups.

### What steps will reproduce the problem?


[[!format sh """
## In an annex repo:

git annex group here trusted

## What does this command do now?
## For reference, it interprets it as `--copies=trustlevel:number`
git annex find --copies=trusted:1

"""]]

### What version of git-annex are you using? On what operating system?

	git-annex version: 6.20180509
	build flags: Assistant Webapp Pairing S3(multipartupload)(storageclasses) WebDAV Inotify DBus DesktopNotify ConcurrentOutput TorrentParser MagicMime Feeds Testsuite
	dependency versions: aws-0.14.1 bloomfilter-2.0.1.0 cryptonite-0.20 DAV-1.3.1 feed-0.3.11.1 ghc-8.0.1 http-client-0.4.31.1 persistent-sqlite-2.6 torrent-10000.0.0 uuid-1.3.12 yesod-1.4.3
	key/value backends: SHA256E SHA256 SHA512E SHA512 SHA224E SHA224 SHA384E SHA384 SHA3_256E SHA3_256 SHA3_512E SHA3_512 SHA3_224E SHA3_224 SHA3_384E SHA3_384 SKEIN256E SKEIN256 SKEIN512E SKEIN512 SHA1E SHA1 MD5E MD5 WORM URL
	remote types: git gcrypt p2p S3 bup directory rsync web bittorrent webdav adb tahoe glacier ddar hook external
	operating system: linux x86_64

### Have you had any luck using git-annex before? (Sometimes we get tired of reading bug reports all day and a lil' positive end note does wonders)

Yes! Thanks so much for your work!

> Closing per comments. [[done]] --[[Joey]]
